package main

import (
	"fmt"
	"image/png"
	"os"
	"path/filepath"

	// "git.zhouxhere.com/zhouxhere/maptile/bin"
	"git.zhouxhere.com/zhouxhere/maptile/util/sprite"
)

func main() {
	// bin.RunCMD()
	// testSprite()
	testFont()
}

func testSprite() {
	sprites, err := sprite.NewSprite(1, sprite.Vertical, 4, 30)
	if err != nil {
		panic(err)
	}

	files, err := os.ReadDir("icons")
	if err != nil {
		panic(err)
	}

	images := []sprite.ImageInfo{}

	for _, file := range files {
		if file.IsDir() {
			continue
		}
		filePath, err := filepath.Abs("icons/" + file.Name())
		if err != nil {
			continue
		}
		images = append(images, sprite.ImageInfo{
			Name: file.Name(),
			Path: filePath,
		})
	}

	fmt.Println((images))
	spritesheet, err := sprites.MergeImages(images)
	if err != nil {
		panic(err)
	}

	file, err := os.Create("ouput.png")
	if err != nil {
		panic(err)
	}
	defer file.Close()
	png.Encode(file, spritesheet)

}

func testFont() {

}
